function [] = runDemo2(corArrDB, clickDBtimeMs, cntArr525, startClickNr, endClickNr)
    % Pump
    
    load 'grafikk/pump.mat';
    load 'grafikk/w1.mat';
    load 'grafikk/m1.mat';
    load 'grafikk/m2.mat';
    load 'grafikk/w2.mat';
    
    load 'grafikk/pStag.mat';
    load 'grafikk/pHjul.mat';
    
    R = rotz(90);
    %Vhj = 1.2*(R*Vhj')';
    V0 = V0 .* [1.5 1.5 1];
    
    bilde = imread('grafikk/ser.jpg');  
    
    frameRate = 30;
    res = 2; % 2
    
    if res == 1
        movi = 'vidInp/oSmall.mov'; % 120:80
    else
        movi = 'vidInp/o.mov'; % 240:160
    end
    vidfileOut = VideoWriter('vidOut/testmov', 'Uncompressed AVI');  
    vidfileOut.FrameRate = frameRate;
    open(vidfileOut); % UT
    
    startSample = 525*corArrDB{startClickNr,1}/1000 + 1;
    endSample = 525*corArrDB{endClickNr,1}/1000;
    
    figure(4);clf;
    set(gcf,'Position',[100 100 1280 720],'numberTitle','off');
    fprintf(1, "\n");
    
    fs = 525; %44100;
    
    vidObj = VideoReader(movi); % IN
    % fs2 = 44100/speedDiv;  
    
    % Folk
    hw1 = plotPoly(Fw1, 6*Vw1+[3 3 0], 'col', 0.5*[0.3 0.3 0.3], 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    angHw1 = -90;
    hm1 = plotPoly(Fm1, 6*Vm1+[-3 3 0], 'col', 0.5*[0.3 0.3 0.3], 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    angHm1 = 10;
    hm2 = plotPoly(Fm2, 6*Vm2+[-3 -3 0], 'col', 0.5*[0.3 0.3 0.3], 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    angHm2 = -199;
    hw2 = plotPoly(Fw2, 6*Vw2+[3 -3.1 0], 'col', 0.5*[0.3 0.3 0.3], 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    angHw2 = -90;
    
    % Gulv - sjakkmønster
    [F, V] = polyQuadFloor(11, 11);
    cV = 0.1*ones(11*11, 3);
    for i = 1 : 2 : 11*11
        cV(i, :) = [0.2 0.2 0.2];
    end
    plotPoly(F, 10*V, 'dark', 'col', cV, 'backCol', 0.2*[0.1 0.1 0.1], 'edgeOff');
    
    % Agent - belg
    belgBunnHoyde = 5;
    axIn = 0.5*0;
    [F, V] = agent3vid(axIn, F0, V0); % 0.5*ax
    belgToppHoyde = 1 + 0.5*0 + belgBunnHoyde; % fra agent3vid
    V1 = V + [0 0 belgBunnHoyde]; 
    pumpCol = ones(size(F,1), 3) .* [0.6 0.3 0.3] + 0.2*(rand(size(F,1), 3)-0.5);
    ha1 = plotPoly(F, V1, 'col', pumpCol, 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    
    % Stag 
    Vst0 = 2*Vst;
    Vst = Vst0 + [0 0 6];
    pumpCol = ones(size(Fst,1), 3) .* [0.7 0.5 0.5] + 0.2*(rand(size(Fst,1), 3)-0.5);
    hs1 = plotPoly(Fst, Vst, 'edgeOff', 'col', pumpCol, 'backCol', 0.2*[0.1 0.1 0.1]);  

    % Hjul
    hjulCentHoyde = 9;
    Vhj0 = 2*Vhj;
    Vhj1 = Vhj0 + [0 0.5 hjulCentHoyde];
    pumpCol = ones(size(Fhj,1), 3) .* [0.7 0.5 0.5] + 0.2*(rand(size(Fhj,1), 3)-0.5);
    hs3 = plotPoly(Fhj, Vhj1, 'edgeOff', 'col', pumpCol, 'backCol', 0.2*[0.1 0.1 0.1]);     
    
    % Lerret
    [F, V] = polyQuadFloor(120*res, 80*res); V = 6*(rotx(90)*V')' + [0 10 6];
    V(:,2) = V(:,2) - (0.04*V(:,1).*V(:,1));
    hl = plotPoly(F, V, 'col', rand(120*80*res*res, 3), 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    
    % Bilde på vegg
    [F, V] = polyQuadFloor(212, 504); 
    V = 1*(rotx(90)*V')';
    V = 1*(rotz(90)*V')';
    V = 6*(rotx(-90)*V')'+ [-11 0 6];
    V(:,1) = V(:,1) + (0.01*V(:,2).*V(:,2));
    bilde = 0.8*double(bilde)/255;
    %bilde = bilde .*
    hBil = plotPoly(F, V, 'col', rand(504*212, 3), 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]); 
    co2 = reshape(bilde, 504*212, 3); 
    set(hBil, 'FaceVertexCData', co2);
    
    vie0 = [20 12];
    view(vie0(1), vie0(2));
    axis([-6.3269    6.4031   -7.0306    5.6994    1.7398    7.4889]);
    return
    ccOld = 0;
    vieTeller = 0;
    for s = startSample : fs/frameRate : endSample % manuell intastn evt s = cl2sa(corStrArr, 64) : floor(fs/frameRate) : cl2sa(corStrArr, 75) % manuell intastn
        vieTeller = vieTeller + 1;
        ccc = findNermesteDBnedover(s, clickDBtimeMs);
        if ccc > ccOld
            set(gcf,'name',num2str(ccc));
            ccOld = ccc;
        end
        
        zDist = 0.3*cntArr525(floor(s), 1) + 0.5 ;
        
        % Agent
        [~, V] = agent3vid(zDist, F0, V0);
        V1 = V*2 + [0 0 5]; % + [0.8 0 6];
        set(ha1, 'Vertices', V1);
        
        %[~, V] = agent3vid(cntArr525(floor(s), 2), F0, V0);
        %V2 = V*2 + [-0.8 0 6];
        %set(ha2, 'Vertices', V2);
        
        % Stag 1
        Vs1 = Vs10 + [0 0 5+zDist];
        set(hs1, 'Vertices', Vs1);
        
%         % Stag 2
%         Vtmp = Vs20;
         ang = rad2deg(asin(1.9*cntArr525(floor(s), 1)/2));
%         Rx = rotx(ang);
%         Vtmp = (Rx*Vtmp')';
%         Vs2 = Vtmp + [0.02 0 6-1.8-bb+1];
%         set(hs2, 'Vertices', Vs2);  
        
        % Hjul
        Rx = roty(ang);
        Vhj1 = (Rx*Vhj0')' + [0 0.5 9];
        set(hs3, 'Vertices', Vhj1);          
        
        % Folk
        angHw1 = angHw1 + 6*(rand()-0.5); Rz = rotz(angHw1);
        Vw1r = 6*(Rz*Vw1')'+[3 3 0]; 
        bh = 1 - 0.02*cntArr525(floor(s), 1);
        Vw1r = Vw1r .* [1 1 bh];
        set(hw1, 'Vertices', Vw1r);
        
        angHm1 = angHm1 + 6*(rand()-0.5); Rz = rotz(angHm1);
        Vm1r = 6*(Rz*Vm1')'+[-3 3 0]; 
        bh = 1 - 0.01*cntArr525(floor(s), 2);
        Vm1r = Vm1r .* [1 1 bh];
        set(hm1, 'Vertices', Vm1r); 
        
        angHm2 = angHm2 + 6*(rand()-0.5); Rz = rotz(angHm2);
        Vm2r = 6*(Rz*Vm2')'+[-3 -3 0]; 
        bh = 1 - 0.01*cntArr525(floor(s), 1);
        Vm2r = Vm2r .* [1 1 bh];
        set(hm2, 'Vertices', Vm2r);
        
        angHw2 = angHw2 + 6*(rand()-0.5); Rz = rotz(angHw2);
        Vw2r = 6*(Rz*Vw2')'+[3 -3.1 0]; 
        bh = 1 + 0.01*cntArr525(floor(s), 2);
        Vw2r = Vw2r .* [1 1 bh];
        set(hw2, 'Vertices', Vw2r);
        
        
        % Video in
        vidObj.CurrentTime = floor(s)/fs;
        frame = readFrame(vidObj); frame = flipud(frame); frame = permute(frame,[2 1 3]);
        co1 = double(squeeze(reshape(frame,[], 80*120*res*res,3))); co1 = co1/max(max(co1));
        set(hl, 'FaceVertexCData', co1);
        %pause(0.1);
        
        vie(1) = vie0(1) + 7*sin(0.1*vieTeller/20); 
        vie(2) = vie0(2) + 3*sin(0.1*vieTeller/18); 
        view(vie(1), vie(2));
        axis([-6.3269    6.4031   -7.0306    5.6994    1.7398    7.4889]);
        drawnow;
        frame= getframe(gcf);
        writeVideo(vidfileOut, frame);
    end
    close(vidfileOut);
    
    fprintf(1, "\n");
    %close(4);
    %figure(1);
end

%X   ffmpeg -y -i testmov.avi -ss 0 -i mus.wav -vcodec libx265 -crf 23 -shortest output.mp4
%R   ffmpeg -y -i testmov.avi -ss 0 -i mus.wav -vcodec libx265 -crf 23 -shortest -vf vflip output.mp4





% ffmpeg -y -i Zorg.mp4 -vf scale=240:160 -c:v mjpeg -q:v 3 -an o.mov
% ffmpeg -y -i Zorg.mp4 -vf scale=120:80 -c:v mjpeg -q:v 3 -an oSmall.mov
